#ifndef IU9_CA_WEB_CHAT_SERVICE_SQLITE_WRAP_H
#define IU9_CA_WEB_CHAT_SERVICE_SQLITE_WRAP_H

#include <sqlite3.h>
#include <vector>
#include <string>

struct SqliteConnection {
    sqlite3* hand = NULL;
    SqliteConnection() = default;
    explicit SqliteConnection(const std::string& file_path);
    SqliteConnection (const SqliteConnection&) = delete;
    SqliteConnection& operator= (const SqliteConnection&) = delete;
    ~SqliteConnection();
};

void sqlite_single_statement(sqlite3* db_hand, const std::string& req_statement,
    const std::vector<std::pair<int, int64_t>>& int64_binds= {},
    const std::vector<std::pair<int, std::string>>& text8_binds = {});

#endif
